Subject: Re: bug#28483: [PATCH] Fix copy-directory creating missing directory

From: Philipp Stephani <[email-masked]>
Date: Mon, 18 Sep 2017 17:40:15 +0000

Aaron Jensen <[email-masked]> schrieb am So., 17. Sep. 2017 um
22:19 Uhr:

>
> I’m not sure what Emac’s principles are on it, but perhaps an error
> pointing to this change when attempting to copy to a non-existing
> directory would help people in the future as well since this is a
> change in behavior to an existing function w/o a deprecation.
>
>
I think copy-directory is mostly used by libraries, so alerting the user
wouldn't help: the problem is in the libraries that invoke copy-directory.
That the behavior changed is unfortunate, but unavoidable due to security
concerns. The behavior changes are mentioned in NEWS.